export function property(config) {
    return function (_target, property) {
        Object.defineProperty(_target, property, {
            get() {
                return this.getAttribute(property);
            },
            set(value) {
                const oldValue = this.getAttribute(property);
                this.setAttribute(property, value);
                if (config?.onChange) {
                    config.onChange.call(this, value, oldValue);
                }
            },
        });
    };
}
//# sourceMappingURL=property.js.map