import '@nativescript/macos-node-api';
import { Event } from '../../dom/dom-utils.js';
export declare class MouseDownEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class MouseUpEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class MouseMoveEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class MouseEnterEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class MouseLeaveEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class MouseDraggedEvent extends Event {
    nsEvent: NSEvent;
    constructor(nsEvent: NSEvent);
}
export declare class NativeView extends NSView {
    static ObjCExposedMethods: {
        isFlipped: {
            returns: number;
            params: never[];
        };
    };
    _owner: WeakRef<HTMLViewElement> | null;
    static initWithOwner(owner: WeakRef<HTMLViewElement>): NativeView;
    isFlipped(): boolean;
    mouseDown(event: NSEvent): void;
    otherMouseDown(event: NSEvent): void;
    rightMouseDown(event: NSEvent): void;
    rightMouseUp(event: NSEvent): void;
    rightMouseDragged(event: NSEvent): void;
    otherMouseDragged(event: NSEvent): void;
    otherMouseUp(event: NSEvent): void;
    mouseUp(event: NSEvent): void;
    mouseMoved(event: NSEvent): void;
    mouseDragged(event: NSEvent): void;
    mouseEntered(event: NSEvent): void;
    mouseExited(event: NSEvent): void;
}
